commit:     3dbcad75599e23fee03c2c4799f03105fd5d2117
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 09:25:14 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 09:29:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dbcad75

dev-python/pyocr: Bump to 0.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyocr/Manifest         |  1 +
 dev-python/pyocr/pyocr-0.8.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pyocr/Manifest b/dev-python/pyocr/Manifest
index 92dfa12d047..84e7ab7b3e8 100644
--- a/dev-python/pyocr/Manifest
+++ b/dev-python/pyocr/Manifest
@@ -1 +1,2 @@
 DIST pyocr-0.7.2.tar.gz 65376 BLAKE2B 
065084c19c7722e590c5f20abe5248b2be0c76dab864b4a4e2c457770ff61dec84df7254f19e4926753f39a5d1ed0618ed87827b85773ab96a51e3f7798c656f
 SHA512 
002c3302ed20e19e06dc6fd995ce30150fb95650824df9e0a3d6b2bdcb4c0ae3f2295342c2df44e0d5a9c9bbf5432f47a9d7562e4866b87738ac3436a8c0dec9
+DIST pyocr-0.8.tar.gz 65454 BLAKE2B 
881353eebce22cf316cd4375cc8971e740a9a463216a5b49c07c7813340cfa1a9bdd869b84b4c26566deab1551884179ae2fe0184dec73880b716118367803cd
 SHA512 
c8d811001b460a9004a80fbf570df3fe9a6af11e8ca0e90f23e5f3be54f6a54d859f4ad3db126a5216ea557ecb38ebd5dbece91810df2bf3e95f514c39649bce

diff --git a/dev-python/pyocr/pyocr-0.8.ebuild 
b/dev-python/pyocr/pyocr-0.8.ebuild
new file mode 100644
index 00000000000..3be5b79808c
--- /dev/null
+++ b/dev-python/pyocr/pyocr-0.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="An optical character recognition (OCR) tool wrapper"
+HOMEPAGE="https://gitlab.gnome.org/World/OpenPaperwork/pyocr";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cuneiform +tesseract"
+REQUIRED_USE="|| ( cuneiform tesseract )"
+
+RDEPEND="
+       dev-python/pillow[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]"
+
+# (tests apparently do not require any backend installed)
+distutils_enable_tests unittest
+
+RDEPEND+="
+       cuneiform? ( app-text/cuneiform )
+       tesseract? ( app-text/tesseract )"

Reply via email to